import 'package:cruiser/src/errors/param_not_registered.dart';
import 'package:cruiser/src/models/cruiser_param.dart';

class ParamMap 
{
    final String _routeName;
    final Map<String, CruiserParam> _routeParams;
    final Map<String, dynamic> _params;

    ParamMap(this._routeName, this._routeParams, this._params);

    T param<T>(String key) 
    {
        final isParamNotRegistered = _routeParams == null || !_routeParams.containsKey(key);

        if (isParamNotRegistered) 
        {
            throw ParamNotRegisteredError( paramKey: key, routeName: this._routeName);
        }

        final defaultParamValue = _routeParams[key].defaultValue;
        final paramFromNavigationCall = _params != null ? _params[key] : null;

        return (paramFromNavigationCall ?? defaultParamValue) as T;
    }
}
